Name:		FlightGear
Summary:	The FlightGear Flight Simulator
Version:	0.9.10
Release:	6%{?dist}

License:	GPL
Group:		Amusements/Games
Source:		ftp://ftp.flightgear.org/pub/fgfs/Source/FlightGear-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	http://jrbabcock.home.comcast.net/flightgear/icons/fg-16.png
Source3:	http://jrbabcock.home.comcast.net/flightgear/icons/fg-32.png
Source4:	http://jrbabcock.home.comcast.net/flightgear/icons/fg-48.png
Source5:	http://jrbabcock.home.comcast.net/flightgear/icons/fg-64.png
Source6:	http://jrbabcock.home.comcast.net/flightgear/icons/fg-128.png
Source7:	http://jrbabcock.home.comcast.net/flightgear/icons/COPYING
Patch0:		FlightGear-0.9.10-no-automake-in-configure.patch
URL:		http://www.flightgear.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	openal-devel, SimGear-devel, freeglut-devel
BuildRequires:	desktop-file-utils
Requires:	fgfs-base = %{version}

%description
The Flight Gear project is working to create a sophisticated flight
simulator framework for the development and pursuit of interesting
flight simulator ideas. We are developing a solid basic sim that can be
expanded and improved upon by anyone interested in contributing

%prep
%setup -q
# automake shouldn't be called in configure Summary page
%patch0 -p1 -b .no-automake-in-configure
# make rpmlint happy
find -name \*.h -o -name \*.cpp -o -name \*.cxx -o -name \*.hxx |xargs chmod -x
rm -f docs-mini/FlightGear-FAQ.html.~1.3.~
sed -i 's/\r//' docs-mini/AptNavFAQ.FlightGear.html
# remove some unneeded files for %doc
for ext in Cygwin IRIX Joystick Linux MSVC MacOS SimGear Unix Win32-X \
	autoconf mingw plib src xmlsyntax
do
	rm -f docs-mini/README.${ext}
done
# icons license file
cp %{SOURCE7} COPYING.icons

%build
%configure
# the application doesn't build with _smp_mflags.
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora"			\
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications	\
	%{SOURCE1}

# install icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps

install -m 0644 %{SOURCE2} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 0644 %{SOURCE3} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m 0644 %{SOURCE4} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m 0644 %{SOURCE5} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -m 0644 %{SOURCE6} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING COPYING.icons NEWS README Thanks docs-mini/*
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Wed Apr 18 2007 Fabrice Bellet <fabrice@bellet.info> 0.9.10-6
- desktop-database update
- add icons from Josh Babcock

* Mon Apr 16 2007 Fabrice Bellet <fabrice@bellet.info> 0.9.10-5
- doc files cleanup
- remove -fPIC from CXXFLAGS
- add a desktop file (but no dedicated icon is available)
- spec file cleanup

* Sun Apr 08 2007 Fabrice Bellet <fabrice@bellet.info> 0.9.10-4
- disable parallel build, as it is currently broken. A typo in
  _smp_mflags macro in previous builds prevented the problem from
  showing up
- fixed duplicate BuildRequires

* Sat Apr 07 2007 Fabrice Bellet <fabrice@bellet.info> 0.9.10-3
- use sed instead of dos2unix to correct end-of-line encoding
- configure should not call automake (BZ#234826)

* Sun Apr 01 2007 Fabrice Bellet <fabrice@bellet.info> 0.9.10-2
- rebuild against new SimGear

* Tue Mar 20 2007 Fabrice Bellet <fabrice@bellet.info> 0.9.10-1
- initial packaging
